# Uses of Class
org.apache.solr.common.util.FastInputStream

Packages that use FastInputStream
Package
Description
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of FastInputStream in org.apache.solr.common.util

Methods in org.apache.solr.common.util that return FastInputStream
Modifier and Type
Method
Description
`protected FastInputStream`
JavaBinCodec.`_init(FastInputStream dis)`
`protected FastInputStream`
JavaBinCodec.`initRead(byte[] buf)`
`protected FastInputStream`
JavaBinCodec.`initRead(InputStream is)`
`static FastInputStream`
FastInputStream.`wrap(InputStream in)`
Methods in org.apache.solr.common.util with parameters of type FastInputStream
Modifier and Type
Method
Description
`protected FastInputStream`
JavaBinCodec.`_init(FastInputStream dis)`